Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229072 - /usr/bin/boo{c,i,ish} point to assemblies in /usr/lib, not /usr/lib64
Summary: /usr/bin/boo{c,i,ish} point to assemblies in /usr/lib, not /usr/lib64
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: boo
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 19:56 UTC by Paul T. Darga
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-18 00:18:20 UTC


Attachments (Terms of Use)

Description Paul T. Darga 2007-02-16 19:56:20 UTC
Description of problem:

Boo shell scripts point to /usr/lib but assemblies live in /usr/lib64.

Version-Release number of selected component (if applicable):
0.7.6.2237-11.fc6

e.g. /usr/bin/booc reads:

#!/bin/sh
env mono /usr/lib/boo/booc.exe "$@"

However, booc.exe is in /usr/lib64/boo.

Comment 1 Paul F. Johnson 2007-02-16 20:07:25 UTC
Yep - fixed in rawhide (just use that version). There is a problem with the PPC
mono on the buildsys which is preventing mono apps being built currently.

Comment 2 Paul T. Darga 2007-02-16 20:28:57 UTC
I just did an update from extras-development, and the /usr/bin files in question
now have ${libdir} in them, which would seem to be a packaging problem, since I
don't have libdir in my environment.  Of course it should be the literal
/usr/lib64.  The source rpm must be busted...

Comment 3 Paul F. Johnson 2007-02-16 21:04:59 UTC
What's the version number of the rpm?

Comment 4 Paul T. Darga 2007-02-16 21:09:39 UTC
A yum fairy whispered 0.7.6.2237-12.fc7 in my ear.


Note You need to log in before you can comment on or make changes to this bug.